Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.linechart
Class LineChartMessage

    java.lang.Object
      madkit.kernel.Message
          madkit.linechart.LineChartMessage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class LineChartMessage

extends Message

Message class to communicate with the LineChartAgent

Version:
  1.0 26/06/2002
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary
`static int` | `ADD_POINT`
`java.awt.Color` | `color`
`int` | `command`
`java.lang.String` | `linechartName`
`static int` | `NEW_LINECHART`
`int` | `x`
`int` | `y`

Constructor Summary
`LineChartMessage(java.lang.String linechartName)` To create a new linechart
`LineChartMessage(java.lang.String linechartName, java.awt.Color linechartColor)` To create a new linechart with a specified color
`LineChartMessage(java.lang.String linechartName, double x, double y)` to add a point to a specified linechart

Method Summary

Methods inherited from class madkit.kernel.Message
`clone, getCreationDate, getReceiver, getSender, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NEW_LINECHART

    public static final int NEW_LINECHART

See Also:
  Constant Field Values

### ADD_POINT

    public static final int ADD_POINT

See Also:
  Constant Field Values

### x

    public int x

### y

    public int y

### command

    public int command

### linechartName

    public java.lang.String linechartName

### color

    public java.awt.Color color

Constructor Detail

### LineChartMessage

    public LineChartMessage(java.lang.String linechartName)

  To create a new linechart

### LineChartMessage

    public LineChartMessage(java.lang.String linechartName,
                            java.awt.Color linechartColor)

  To create a new linechart with a specified color

### LineChartMessage

    public LineChartMessage(java.lang.String linechartName,
                            double x,
                            double y)

  to add a point to a specified linechart

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.